prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.04.28'
,p_release=>'23.1.5'
,p_default_workspace_id=>7206425341846807
,p_default_application_id=>101
,p_default_id_offset=>0
,p_default_owner=>'DEMOK'
);
end;
/
 
prompt APPLICATION 101 - ganttabi
--
-- Application Export:
--   Application:     101
--   Name:            ganttabi
--   Date and Time:   12:36 Monday October 23, 2023
--   Exported By:     ZAKI
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 8689217278361595
--   Manifest End
--   Version:         23.1.5
--   Instance ID:     7206389086552562
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/template_component/com_zakpex_ganttabi
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(8689217278361595)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'COM.ZAKPEX.GANTTABI'
,p_display_name=>'ganttabi'
,p_supported_component_types=>'PARTIAL'
,p_javascript_file_urls=>'#PLUGIN_FILES#gttc.js'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
'',
'<div id=''gtc_container'' ',
'    data=''#DATA_PLACEHOLDER#'' ',
'    option-data=''{',
'        "date_column" : "#DATE_COLUMN_NAME#",',
'        "left_columns" : "#LEFT_COLUMNS_NAMES#"  ,',
'        "date_format" : "#DATE_FROMAT#",',
'        "gtc_attr01_column" : "#GTC_ATTR01_COLUMN#",',
'        "gtc_attr02_column" : "#GTC_ATTR02_COLUMN#",',
'        "gtc_attr03_column" : "#GTC_ATTR03_COLUMN#",',
'        "gtc_attr04_column" : "#GTC_ATTR04_COLUMN#",',
'        "gtc_attr05_column" : "#GTC_ATTR05_COLUMN#"',
'        }'' ',
'    options-d1="" ',
'    options-d2="" ',
'    option-date-format="" ',
'    option-badge-icon-class="" ',
'    option-badge-class="">',
'',
'</div>',
'<div id="ganttabi_table_template">',
'    <div class="ganttabi-container t-Report " style="overflow-x: auto">',
'',
'',
'        <div class="ganttabi-component t-Report-tableWrap">',
'',
'            <table id="ganttabi_table" class="t-Report-report">',
'                <thead></thead>',
'                <tbody></tbody>',
'            </table>',
'        </div>',
'    </div>',
'</div>',
'',
'<div id="ganttabi_badge_template">',
'    <div class="from template">',
'        <span class="t-Badge   *GTC_ATTR01_VALUE*" role="status" aria-label="Status Open" title="Status Open">',
'            <span class="t-Badge-icon fa *GTC_ATTR02_VALUE* " aria-hidden="true"></span>',
'            <span class="t-Badge-value">*GTC_ATTR03_VALUE*</span>',
'        </span>',
'        <span class=" "> </span>',
'    </div>',
'</div>',
'',
' ',
'',
'',
''))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'0.2'
,p_about_url=>'https://github.com/hachemizakaria/ganttabi'
,p_files_version=>23
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8689514757361602)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'DATA_PLACEHOLDER'
,p_prompt=>'Data Placeholder'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8694032187400314)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_static_id=>'GTC_ATTR01_COLUMN'
,p_prompt=>'Gtc Attribut01 Column'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8694323874402421)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_static_id=>'GTC_ATTR02_COLUMN'
,p_prompt=>'Gtc Attribut02 Column'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8694676220403194)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_static_id=>'GTC_ATTR03_COLUMN'
,p_prompt=>'Gtc Attribut03 Column'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8694936085405038)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'GTC_ATTR04_COLUMN'
,p_prompt=>'Gtc Attribut04 Column'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8695280957406260)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_static_id=>'GTC_ATTR05_COLUMN'
,p_prompt=>'Gtc Attribut05 Column'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8700856827459758)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_static_id=>'DATE_COLUMN_NAME'
,p_prompt=>'Date Column Name'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8701301789465022)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_static_id=>'LEFT_COLUMNS_NAMES'
,p_prompt=>'Left Columns Names'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_examples=>'ENAME,EMPNO'
,p_help_text=>'comma separated list of columns to be displayed'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(8721032429527101)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_static_id=>'DATE_FROMAT'
,p_prompt=>'Date Fromat'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'DD-MON'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DD-MON',
'DD-MM'))
,p_help_text=>'date format in table header,'
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2F2A0D0A67616E7474616269200D0A76657273696F6E203A20302E322E3032320D0A0D0A202D2063616C63756C617465206D617820616E64206D696E2066726F6D206461746520636F6C756D6E0D0A202D207265666F726D617420287069766F74292064';
wwv_flow_imp.g_varchar2_table(2) := '617461200D0A202D2067726F7570207265666F726D61746564206461746120286A617661736372697074206A736F6E2067726F7570696E67203F21290D0A202D2064726177206865616465720D0A202D2064726177207461626C650D0A202D2072656D6F';
wwv_flow_imp.g_varchar2_table(3) := '76652074656D706C6174652066726F6D2068746D6C0D0A0D0A2A2F0D0A0D0A66756E6374696F6E207265706C616365506C616365686F6C6465727328696E707574537472696E672C207265706C6163656D656E74732C20656E636C6F73696E6743686172';
wwv_flow_imp.g_varchar2_table(4) := '6163746572203D2027232729207B0D0A202020202F2F204573636170652074686520656E636C6F73696E6743686172616374657220696E2074686520726567756C61722065787072657373696F6E207061747465726E0D0A20202020636F6E7374206573';
wwv_flow_imp.g_varchar2_table(5) := '6361706564456E636C6F73696E67436861726163746572203D20656E636C6F73696E674368617261637465722E7265706C616365282F5B2D5C2F5C5C5E242A2B3F2E28297C5B5C5D7B7D5D2F672C20275C5C242627293B0D0A20202020636F6E73742072';
wwv_flow_imp.g_varchar2_table(6) := '65676578203D206E6577205265674578702860247B65736361706564456E636C6F73696E674368617261637465727D285B5E247B65736361706564456E636C6F73696E674368617261637465727D5D2B29247B65736361706564456E636C6F73696E6743';
wwv_flow_imp.g_varchar2_table(7) := '68617261637465727D602C20276727293B0D0A2020202072657475726E20696E707574537472696E672E7265706C6163652872656765782C20286D617463682C20706C616365686F6C64657229203D3E207B0D0A2020202020202020696620287265706C';
wwv_flow_imp.g_varchar2_table(8) := '6163656D656E74732E6861734F776E50726F706572747928706C616365686F6C6465722929207B0D0A20202020202020202020202072657475726E207265706C6163656D656E74735B706C616365686F6C6465725D3B0D0A20202020202020207D20656C';
wwv_flow_imp.g_varchar2_table(9) := '7365207B0D0A20202020202020202020202072657475726E2027273B202F2F2052656D6F76652074686520756E6D61746368656420706C616365686F6C6465720D0A20202020202020207D0D0A202020207D293B0D0A7D0D0A0D0A66756E6374696F6E20';
wwv_flow_imp.g_varchar2_table(10) := '63616C63756C6174654D696E4D61784461746528646174612C20646174655F636F6C756D6E5F6E616D6529207B0D0A202020206C6574206D617844617465203D206E6577204461746528646174615B305D5B646174655F636F6C756D6E5F6E616D655D29';
wwv_flow_imp.g_varchar2_table(11) := '3B0D0A202020206C6574206D696E44617465203D206E6577204461746528646174615B305D5B646174655F636F6C756D6E5F6E616D655D293B0D0A0D0A20202020666F7220286C65742069203D20313B2069203C20646174612E6C656E6774683B20692B';
wwv_flow_imp.g_varchar2_table(12) := '2B29207B0D0A2020202020202020636F6E73742063757272656E7444617465203D206E6577204461746528646174615B695D5B646174655F636F6C756D6E5F6E616D655D293B0D0A0D0A20202020202020206966202863757272656E7444617465203E20';
wwv_flow_imp.g_varchar2_table(13) := '6D61784461746529207B0D0A2020202020202020202020206D617844617465203D2063757272656E74446174653B0D0A20202020202020207D0D0A0D0A20202020202020206966202863757272656E7444617465203C206D696E4461746529207B0D0A20';
wwv_flow_imp.g_varchar2_table(14) := '20202020202020202020206D696E44617465203D2063757272656E74446174653B0D0A20202020202020207D0D0A202020207D0D0A0D0A2020202072657475726E207B206D6178446174652C206D696E44617465207D3B0D0A7D0D0A0D0A66756E637469';
wwv_flow_imp.g_varchar2_table(15) := '6F6E206C656674506164576974685A65726F73286E756D6265722C20776964746829207B0D0A202020202F2F20436F6E7665727420746865206E756D62657220746F206120737472696E670D0A20202020766172206E756D626572537472203D206E756D';
wwv_flow_imp.g_varchar2_table(16) := '6265722E746F537472696E6728293B0D0A0D0A202020202F2F2043616C63756C61746520746865206E756D626572206F66207A65726F7320746F206164640D0A20202020766172207A65726F73546F416464203D207769647468202D206E756D62657253';
wwv_flow_imp.g_varchar2_table(17) := '74722E6C656E6774683B0D0A0D0A202020202F2F2041646420746865207A65726F7320746F20746865206C656674206F6620746865206E756D6265720D0A20202020766172207061646465644E756D626572203D202730272E726570656174287A65726F';
wwv_flow_imp.g_varchar2_table(18) := '73546F41646429202B206E756D6265725374723B0D0A0D0A2020202072657475726E207061646465644E756D6265723B0D0A7D0D0A0D0A0D0A0D0A0D0A66756E6374696F6E20666F726D6174446174652864617465537472696E672C20666F726D617429';
wwv_flow_imp.g_varchar2_table(19) := '207B0D0A2020202066756E6374696F6E206765744D6F6E7468416262726576696174696F6E286D6F6E746829207B0D0A2020202020202020636F6E7374206D6F6E746873203D205B0D0A202020202020202020202020224A616E222C2022466562222C20';
wwv_flow_imp.g_varchar2_table(20) := '224D6172222C2022417072222C20224D6179222C20224A756E222C0D0A202020202020202020202020224A756C222C2022417567222C2022536570222C20224F6374222C20224E6F76222C2022446563220D0A20202020202020205D3B0D0A2020202020';
wwv_flow_imp.g_varchar2_table(21) := '20202072657475726E206D6F6E7468735B6D6F6E74685D3B0D0A202020207D0D0A20202020636F6E73742064617465203D206E657720446174652864617465537472696E67293B0D0A0D0A20202020636F6E737420666F726D61745061727473203D207B';
wwv_flow_imp.g_varchar2_table(22) := '0D0A2020202020202020224444223A20537472696E6728646174652E676574446174652829292E706164537461727428322C20223022292C0D0A2020202020202020224D4D223A20537472696E6728646174652E6765744D6F6E74682829202B2031292E';
wwv_flow_imp.g_varchar2_table(23) := '706164537461727428322C20223022292C202F2F204D6F6E7468206973207A65726F2D62617365640D0A20202020202020202259595959223A20646174652E67657446756C6C5965617228292C0D0A2020202020202020224D4F4E223A206765744D6F6E';
wwv_flow_imp.g_varchar2_table(24) := '7468416262726576696174696F6E28646174652E6765744D6F6E74682829292C0D0A2020202020202020224848223A20537472696E6728646174652E676574486F7572732829292E706164537461727428322C20223022292C0D0A202020207D3B0D0A0D';
wwv_flow_imp.g_varchar2_table(25) := '0A2020202072657475726E20666F726D61742E7265706C616365282F44447C4D4D7C595959597C4D4F4E7C48482F672C20286D6174636829203D3E20666F726D617450617274735B6D617463685D293B0D0A7D0D0A0D0A0D0A0D0A0D0A66756E6374696F';
wwv_flow_imp.g_varchar2_table(26) := '6E206B696E644F6667726F75704279436F6C756D6E28646174612C2067726F7570696E67436F6C756D6E4E616D657329207B0D0A2020202066756E6374696F6E2070726F6365737350726F7065727479286974656D2C2067726F75706564446174614F62';
wwv_flow_imp.g_varchar2_table(27) := '6A6563742C2067726F75704E616D652C2070726F7029207B0D0A2020202020202020696620286974656D5B70726F705D20213D3D20756E646566696E656429207B0D0A202020202020202020202020696620282167726F75706564446174614F626A6563';
wwv_flow_imp.g_varchar2_table(28) := '745B67726F75704E616D655D5B70726F705D29207B0D0A2020202020202020202020202020202067726F75706564446174614F626A6563745B67726F75704E616D655D5B70726F705D203D206974656D5B70726F705D3B0D0A2020202020202020202020';
wwv_flow_imp.g_varchar2_table(29) := '207D20656C73652069662028697356616C75654F626A656374286974656D5B70726F705D292026262067726F75706564446174614F626A6563745B67726F75704E616D655D5B70726F705D2E76616C756520213D3D20756E646566696E656429207B0D0A';
wwv_flow_imp.g_varchar2_table(30) := '2020202020202020202020202020202067726F75706564446174614F626A6563745B67726F75704E616D655D5B70726F705D2E76616C7565202B3D206974656D5B70726F705D2E76616C75653B0D0A2020202020202020202020207D0D0A202020202020';
wwv_flow_imp.g_varchar2_table(31) := '20207D0D0A202020207D0D0A0D0A2020202066756E6374696F6E20697356616C75654F626A656374286F626A29207B0D0A202020202020202072657475726E20747970656F66206F626A203D3D3D20276F626A65637427202626206F626A2E76616C7565';
wwv_flow_imp.g_varchar2_table(32) := '20213D3D20756E646566696E65643B0D0A202020207D0D0A20202020766172206461746147726F75706564203D205B5D3B0D0A202020207661722067726F75706564446174614F626A656374203D207B7D3B0D0A0D0A20202020646174612E666F724561';
wwv_flow_imp.g_varchar2_table(33) := '63682866756E6374696F6E20286974656D29207B0D0A20202020202020207661722067726F75704E616D65203D2067726F7570696E67436F6C756D6E4E616D65732E6D617028636F6C756D6E203D3E206974656D5B636F6C756D6E5D292E6A6F696E2827';
wwv_flow_imp.g_varchar2_table(34) := '5F27293B0D0A0D0A2020202020202020696620282167726F75706564446174614F626A6563745B67726F75704E616D655D29207B0D0A20202020202020202020202067726F75706564446174614F626A6563745B67726F75704E616D655D203D207B7D3B';
wwv_flow_imp.g_varchar2_table(35) := '0D0A20202020202020202020202067726F7570696E67436F6C756D6E4E616D65732E666F724561636828636F6C756D6E203D3E207B0D0A2020202020202020202020202020202067726F75706564446174614F626A6563745B67726F75704E616D655D5B';
wwv_flow_imp.g_varchar2_table(36) := '636F6C756D6E5D203D206974656D5B636F6C756D6E5D3B0D0A2020202020202020202020207D293B0D0A20202020202020207D0D0A0D0A2020202020202020666F7220287661722070726F7020696E206974656D29207B0D0A2020202020202020202020';
wwv_flow_imp.g_varchar2_table(37) := '20696620282167726F7570696E67436F6C756D6E4E616D65732E696E636C756465732870726F702929207B0D0A2020202020202020202020202020202070726F6365737350726F7065727479286974656D2C2067726F75706564446174614F626A656374';
wwv_flow_imp.g_varchar2_table(38) := '2C2067726F75704E616D652C2070726F70293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020207D293B0D0A0D0A20202020666F7220287661722067726F75704E616D6520696E2067726F75706564446174614F626A6563';
wwv_flow_imp.g_varchar2_table(39) := '7429207B0D0A20202020202020206461746147726F757065642E707573682867726F75706564446174614F626A6563745B67726F75704E616D655D293B0D0A202020207D0D0A0D0A2020202072657475726E206461746147726F757065643B0D0A7D0D0A';
wwv_flow_imp.g_varchar2_table(40) := '0D0A0D0A66756E6374696F6E20676574496E64657842794B6579286172722C206B65792C2076616C756529207B0D0A20202020666F7220286C65742069203D20303B2069203C206172722E6C656E6774683B20692B2B29207B0D0A202020202020202069';
wwv_flow_imp.g_varchar2_table(41) := '6620286172725B695D5B6B65795D203D3D3D2076616C756529207B0D0A20202020202020202020202072657475726E20693B0D0A20202020202020207D0D0A202020207D0D0A2020202072657475726E202D313B202F2F2052657475726E202D31206966';
wwv_flow_imp.g_varchar2_table(42) := '206E6F206D61746368696E67206F626A65637420697320666F756E640D0A7D0D0A0D0A66756E6374696F6E206765744D617844617465466F7254616728646174612C2074616729207B0D0A20202020636F6E73742066696C746572656444617461203D20';
wwv_flow_imp.g_varchar2_table(43) := '646174612E66696C746572286F626A203D3E206F626A2E6865616465725F746167203D3D3D20746167293B0D0A202020206966202866696C7465726564446174612E6C656E677468203D3D3D203029207B0D0A202020202020202072657475726E206E75';
wwv_flow_imp.g_varchar2_table(44) := '6C6C3B202F2F2052657475726E206E756C6C206966206E6F206D61746368696E67206F626A6563747320666F756E640D0A202020207D0D0A20202020636F6E7374206D617844617465203D2066696C7465726564446174612E726564756365280D0A2020';
wwv_flow_imp.g_varchar2_table(45) := '202020202020286D61782C206F626A29203D3E207B0D0A20202020202020202020202072657475726E206F626A2E6865616465725F646174655F6D6178203E206D6178203F206F626A2E6865616465725F646174655F6D6178203A206D61783B0D0A2020';
wwv_flow_imp.g_varchar2_table(46) := '2020202020207D2C0D0A202020202020202066696C7465726564446174615B305D2E6865616465725F646174655F6D6178293B0D0A2020202072657475726E206D6178446174653B0D0A7D0D0A0D0A66756E6374696F6E207265666F726D617444617461';
wwv_flow_imp.g_varchar2_table(47) := '2864617461496E2C207461626C654F7074696F6E7329207B0D0A0D0A0D0A202020206C6574207B206D6178446174652C206D696E44617465207D203D2063616C63756C6174654D696E4D6178446174652864617461496E2C207461626C654F7074696F6E';
wwv_flow_imp.g_varchar2_table(48) := '732E6774635F646174655F636F6C756D6E5F6E616D65293B0D0A0D0A202020202F2F2063616C63756C61746520746865206E756D626572206F6620636F6C756D6E207573656420666F7220746865207363686564756C65200D0A202020202F2F20636F6D';
wwv_flow_imp.g_varchar2_table(49) := '6D656E74203A200D0A202020206C6574206774635F7461626C655F7363686564756C655F6D6178636F756E74203D204D6174682E6365696C28286D617844617465202D206D696E4461746529202F20287461626C654F7074696F6E732E6774635F746162';
wwv_flow_imp.g_varchar2_table(50) := '6C655F73746570202A207461626C654F7074696F6E732E6774635F7461626C655F756E697429293B0D0A0D0A0D0A0D0A202020206C65742064617461446973706C6179203D205B5D3B0D0A202020206C65742064617461486561646572203D205B5D3B0D';
wwv_flow_imp.g_varchar2_table(51) := '0A0D0A202020202F2F2065787472616374206865616465727320746F20646174614865616465720D0A20202020666F72202876617220646973706C6179436F6C756D6E203D20303B20646973706C6179436F6C756D6E203C206774635F7461626C655F73';
wwv_flow_imp.g_varchar2_table(52) := '63686564756C655F6D6178636F756E743B20646973706C6179436F6C756D6E2B2B29207B0D0A20202020202020206C657420686561646572446174654D6178203D206E65772044617465280D0A2020202020202020202020206D696E446174652E676574';
wwv_flow_imp.g_varchar2_table(53) := '54696D652829202B2028646973706C6179436F6C756D6E202B203129202A207461626C654F7074696F6E732E6774635F7461626C655F73746570202A207461626C654F7074696F6E732E6774635F7461626C655F756E69740D0A2020202020202020293B';
wwv_flow_imp.g_varchar2_table(54) := '0D0A0D0A20202020202020206C657420686561646572446174654D696E203D206E65772044617465280D0A2020202020202020202020206D696E446174652E67657454696D652829202B20646973706C6179436F6C756D6E202A207461626C654F707469';
wwv_flow_imp.g_varchar2_table(55) := '6F6E732E6774635F7461626C655F73746570202A207461626C654F7074696F6E732E6774635F7461626C655F756E69740D0A2020202020202020293B0D0A0D0A0D0A20202020202020202F2F206C657420686561646572546167203D20224822202B2063';
wwv_flow_imp.g_varchar2_table(56) := '3B0D0A20202020202020206C657420686561646572546167203D207461626C654F7074696F6E732E6774635F6865616465725F737472696E67202B20646973706C6179436F6C756D6E2E746F537472696E6728292E706164537461727428332C20273027';
wwv_flow_imp.g_varchar2_table(57) := '293B0D0A0D0A202020202020202076617220636F6C686561646572203D207B0D0A2020202020202020202020206865616465725F7461673A206865616465725461672C0D0A2020202020202020202020206865616465725F646174655F6D696E3A206865';
wwv_flow_imp.g_varchar2_table(58) := '61646572446174654D696E2C0D0A2020202020202020202020206865616465725F646174655F6D61783A20686561646572446174654D61782C0D0A20202020202020207D3B0D0A0D0A2020202020202020646174614865616465722E7075736828636F6C';
wwv_flow_imp.g_varchar2_table(59) := '686561646572293B0D0A202020207D0D0A0D0A202020202F2F20696E697469616C697A652064617461446973706C61792066726F6D2064617461496E207573696E6720646566696E656420636F6C756D6E730D0A20202020636F6E7374206B657973546F';
wwv_flow_imp.g_varchar2_table(60) := '496E636C756465203D207461626C654F7074696F6E732E6774635F6C6566745F636F6C756D6E735F6E616D65733B0D0A2020202064617461446973706C6179203D2064617461496E2E6D6170286F626A203D3E207B0D0A2020202020202020636F6E7374';
wwv_flow_imp.g_varchar2_table(61) := '206E65774F626A203D207B7D3B0D0A20202020202020206B657973546F496E636C7564652E666F7245616368286B6579203D3E207B0D0A2020202020202020202020206E65774F626A5B6B65795D203D206F626A5B6B65795D3B0D0A2020202020202020';
wwv_flow_imp.g_varchar2_table(62) := '7D293B0D0A202020202020202072657475726E206E65774F626A3B0D0A202020207D293B0D0A0D0A0D0A0D0A202020202F2F2067656E6572617465207363686564756C652064617461446973706C61792066726F6D2064617461496E0D0A20202020666F';
wwv_flow_imp.g_varchar2_table(63) := '7220287661722069203D20303B2069203C2064617461496E2E6C656E6774683B20692B2B29207B202F2F20627920726F770D0A2020202020202020666F72202876617220646973706C6179436F6C756D6E203D20303B20646973706C6179436F6C756D6E';
wwv_flow_imp.g_varchar2_table(64) := '203C206774635F7461626C655F7363686564756C655F6D6178636F756E743B20646973706C6179436F6C756D6E2B2B29207B0D0A0D0A2020202020202020202020202F2F0D0A2020202020202020202020206C6574206865616465725461674461746120';
wwv_flow_imp.g_varchar2_table(65) := '3D207461626C654F7074696F6E732E6774635F6865616465725F737472696E67202B20646973706C6179436F6C756D6E2E746F537472696E6728292E706164537461727428332C20273027293B0D0A0D0A202020202020202020202020636F6E73742063';
wwv_flow_imp.g_varchar2_table(66) := '757272656E744461746556616C7565203D206E657720446174652864617461496E5B695D5B7461626C654F7074696F6E732E6774635F646174655F636F6C756D6E5F6E616D655D293B0D0A0D0A202020202020202020202020696620280D0A2020202020';
wwv_flow_imp.g_varchar2_table(67) := '20202020202020202020202F2F20696620636F6C756D6E64617465206265747765656E2064617465206D696E20616E642064617465206D61780D0A202020202020202020202020202020206E6577204461746528646174614865616465725B646973706C';
wwv_flow_imp.g_varchar2_table(68) := '6179436F6C756D6E5D2E6865616465725F646174655F6D696E29203C3D2063757272656E744461746556616C75650D0A2020202020202020202020202020202026262063757272656E744461746556616C7565203C206E65772044617465286461746148';
wwv_flow_imp.g_varchar2_table(69) := '65616465725B646973706C6179436F6C756D6E5D2E6865616465725F646174655F6D6178290D0A20202020202020202020202029207B0D0A202020202020202020202020202020202F2F2073657420646973706C61792063656C6C2076616C756520616E';
wwv_flow_imp.g_varchar2_table(70) := '64207374796C650D0A2020202020202020202020202020202064617461446973706C61795B695D5B686561646572546167446174615D203D207B0D0A20202020202020202020202020202020202020206774635F617474723031203A2064617461496E5B';
wwv_flow_imp.g_varchar2_table(71) := '695D5B7461626C654F7074696F6E732E6774635F6174747230315F636F6C756D6E5D2C0D0A20202020202020202020202020202020202020206774635F617474723032203A2064617461496E5B695D5B7461626C654F7074696F6E732E6774635F617474';
wwv_flow_imp.g_varchar2_table(72) := '7230325F636F6C756D6E5D2C0D0A20202020202020202020202020202020202020206774635F617474723033203A2064617461496E5B695D5B7461626C654F7074696F6E732E6774635F6174747230335F636F6C756D6E5D2C0D0A202020202020202020';
wwv_flow_imp.g_varchar2_table(73) := '20202020202020202020206774635F617474723034203A2064617461496E5B695D5B7461626C654F7074696F6E732E6774635F6174747230345F636F6C756D6E5D2C0D0A20202020202020202020202020202020202020206774635F617474723035203A';
wwv_flow_imp.g_varchar2_table(74) := '2064617461496E5B695D5B7461626C654F7074696F6E732E6774635F6174747230355F636F6C756D6E5D2C0D0A202020202020202020202020202020207D3B0D0A0D0A0D0A0D0A2020202020202020202020207D20656C7365207B0D0A20202020202020';
wwv_flow_imp.g_varchar2_table(75) := '20202020202020202064617461446973706C61795B695D5B686561646572546167446174615D203D2022223B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020207D0D0A0D0A0D0A202020202F2F206B696E64206F66206772';
wwv_flow_imp.g_varchar2_table(76) := '6F7570696E672064617461206279206172726179206F6620636F6C756D6E730D0A2020202064617461446973706C6179203D206B696E644F6667726F75704279436F6C756D6E2864617461446973706C61792C207461626C654F7074696F6E732E677463';
wwv_flow_imp.g_varchar2_table(77) := '5F6C6566745F636F6C756D6E735F6E616D6573293B0D0A0D0A0D0A0D0A2020202072657475726E207B2064617461446973706C61792C2064617461486561646572207D3B0D0A7D0D0A66756E6374696F6E206472617774686561642868746D6C4E6F6465';
wwv_flow_imp.g_varchar2_table(78) := '2C2064617461446973706C61792C20646174614865616465722C2068656164657244617465466F726D617429207B0D0A0D0A20202020636F6E7374207468656164203D2068746D6C4E6F64652E717565727953656C6563746F722822746865616422293B';
wwv_flow_imp.g_varchar2_table(79) := '0D0A20202020636F6E7374207468526F77203D2074686561642E696E73657274526F7728293B202F2F20696E73657274207472200D0A202020207661722069203D20303B0D0A20202020666F722028636F6E7374206B6579417348656164657254616720';
wwv_flow_imp.g_varchar2_table(80) := '696E2064617461446973706C61795B305D29207B0D0A20202020202020206966202864617461446973706C61795B305D2E6861734F776E50726F7065727479286B657941734865616465725461672929207B0D0A202020202020202020202020636F6E73';
wwv_flow_imp.g_varchar2_table(81) := '74207468203D20646F63756D656E742E637265617465456C656D656E742822746822293B0D0A0D0A20202020202020202020202074682E636C6173734C6973742E6164642822742D5265706F72742D636F6C4865616422293B0D0A202020202020202020';
wwv_flow_imp.g_varchar2_table(82) := '20202074682E73657441747472696275746528276964272C206B65794173486561646572546167293B0D0A0D0A0D0A0D0A202020202020202020202020636F6E73742074686561647468646976203D20646F63756D656E742E637265617465456C656D65';
wwv_flow_imp.g_varchar2_table(83) := '6E74282264697622293B202F2F3F3F0D0A0D0A0D0A202020202020202020202020746865616474686469762E7365744174747269627574652822616C69676E222C202763656E74657227293B0D0A20202020202020202020202069662028676574496E64';
wwv_flow_imp.g_varchar2_table(84) := '657842794B657928646174614865616465722C20226865616465725F746167222C206B6579417348656164657254616729203E3D203029207B0D0A0D0A20202020202020202020202020202020636F6E7374206774635F6865616465725F74696D655F64';
wwv_flow_imp.g_varchar2_table(85) := '6973706C6179203D20646F63756D656E742E637265617465456C656D656E74282264697622293B0D0A202020202020202020202020202020206774635F6865616465725F74696D655F646973706C61792E74657874436F6E74656E74203D20666F726D61';
wwv_flow_imp.g_varchar2_table(86) := '7444617465286765744D617844617465466F7254616728646174614865616465722C206B65794173486561646572546167292C2068656164657244617465466F726D6174293B0D0A20202020202020202020202020202020746865616474686469762E61';
wwv_flow_imp.g_varchar2_table(87) := '7070656E644368696C64286774635F6865616465725F74696D655F646973706C6179293B0D0A2020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020202F2F206C6566742068656164657273200D0A202020202020';
wwv_flow_imp.g_varchar2_table(88) := '20202020202020202020746865616474686469762E74657874436F6E74656E74203D206B657941734865616465725461673B0D0A2020202020202020202020207D0D0A0D0A20202020202020202020202074682E617070656E644368696C642874686561';
wwv_flow_imp.g_varchar2_table(89) := '647468646976293B0D0A0D0A2020202020202020202020206966202869203D3D203029207B0D0A2020202020202020202020202020202074682E636C6173734C6973742E6164642822636F6C2D666978656422293B0D0A2020202020202020202020207D';
wwv_flow_imp.g_varchar2_table(90) := '0D0A0D0A202020202020202020202020692B2B3B0D0A2020202020202020202020207468526F772E617070656E644368696C64287468293B0D0A20202020202020207D0D0A202020207D0D0A2020202072657475726E20693B0D0A7D0D0A66756E637469';
wwv_flow_imp.g_varchar2_table(91) := '6F6E206472617774626F64792868746D6C4E6F64652C2064617461446973706C61792C20686561646572537472696E675061747465726E2C2063656C6C54656D706C61746548746D6C29207B0D0A0D0A20202020636F6E73742074626F6479203D206874';
wwv_flow_imp.g_varchar2_table(92) := '6D6C4E6F64652E717565727953656C6563746F72282274626F647922293B0D0A0D0A202020202F2F20647261772074626F647920627920726F770D0A20202020666F722028636F6E73742064617461526F77206F662064617461446973706C617929207B';
wwv_flow_imp.g_varchar2_table(93) := '0D0A2020202020202020636F6E737420726F77203D2074626F64792E696E73657274526F7728293B0D0A0D0A20202020202020206C65742063757272656E74436F6C756D6E496E526F77203D20303B0D0A0D0A20202020202020202F2F20697465726174';
wwv_flow_imp.g_varchar2_table(94) := '65206F76657220636F6C756D6E7320696E2064617461446973706C61790D0A2020202020202020666F722028636F6E737420436F6C756D6E4865616465724B657920696E2064617461526F7729207B0D0A0D0A0D0A202020202020202020202020696620';
wwv_flow_imp.g_varchar2_table(95) := '2864617461526F772E6861734F776E50726F706572747928436F6C756D6E4865616465724B65792929207B0D0A0D0A20202020202020202020202020202020636F6E73742063656C6C203D20726F772E696E7365727443656C6C28293B0D0A2020202020';
wwv_flow_imp.g_varchar2_table(96) := '202020202020202020202063656C6C2E636C6173734C6973742E6164642827742D5265706F72742D63656C6C27293B0D0A2020202020202020202020202020202063656C6C2E736574417474726962757465282768656164657273272C20436F6C756D6E';
wwv_flow_imp.g_varchar2_table(97) := '4865616465724B6579293B0D0A0D0A0D0A20202020202020202020202020202020766172207363686564756C654865616465725061747465726E203D206E65772052656745787028686561646572537472696E675061747465726E202B20275C5C642B27';
wwv_flow_imp.g_varchar2_table(98) := '293B0D0A20202020202020202020202020202020696620287363686564756C654865616465725061747465726E2E7465737428436F6C756D6E4865616465724B6579292026262064617461526F775B436F6C756D6E4865616465724B65795D29207B0D0A';
wwv_flow_imp.g_varchar2_table(99) := '0D0A20202020202020202020202020202020202020202F2F207265706C616365202A20706C616365686F6C646572730D0A2020202020202020202020202020202020202020636F6E7374207265706C6163656D656E747356616C203D207B0D0A20202020';
wwv_flow_imp.g_varchar2_table(100) := '20202020202020202020202020202020202020200D0A202020202020202020202020202020202020202020202020224754435F4154545230315F56414C554522203A202064617461526F775B436F6C756D6E4865616465724B65795D2E6774635F617474';
wwv_flow_imp.g_varchar2_table(101) := '723031203F3F2027272C0D0A202020202020202020202020202020202020202020202020224754435F4154545230325F56414C554522203A202064617461526F775B436F6C756D6E4865616465724B65795D2E6774635F617474723032203F3F2027272C';
wwv_flow_imp.g_varchar2_table(102) := '0D0A202020202020202020202020202020202020202020202020224754435F4154545230335F56414C554522203A202064617461526F775B436F6C756D6E4865616465724B65795D2E6774635F617474723033203F3F2027272C0D0A2020202020202020';
wwv_flow_imp.g_varchar2_table(103) := '20202020202020202020202020202020224754435F4154545230345F56414C554522203A202064617461526F775B436F6C756D6E4865616465724B65795D2E6774635F617474723034203F3F2027272C0D0A202020202020202020202020202020202020';
wwv_flow_imp.g_varchar2_table(104) := '202020202020224754435F4154545230355F56414C554522203A202064617461526F775B436F6C756D6E4865616465724B65795D2E6774635F617474723035203F3F2027272C0D0A0D0A20202020202020202020202020202020202020207D3B0D0A0D0A';
wwv_flow_imp.g_varchar2_table(105) := '20202020202020202020202020202020202020202F2F205365742074686520696E6E657248544D4C207265706C6163696E6720506C616365486F6C646572730D0A202020202020202020202020202020202020202063656C6C2E696E6E657248544D4C20';
wwv_flow_imp.g_varchar2_table(106) := '3D207265706C616365506C616365686F6C64657273280D0A20202020202020202020202020202020202020202020202063656C6C54656D706C61746548746D6C0D0A2020202020202020202020202020202020202020202020202C207265706C6163656D';
wwv_flow_imp.g_varchar2_table(107) := '656E747356616C0D0A2020202020202020202020202020202020202020202020202C20272A270D0A2020202020202020202020202020202020202020293B0D0A0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020';
wwv_flow_imp.g_varchar2_table(108) := '20202020202020202020202063656C6C2E74657874436F6E74656E74203D2064617461526F775B436F6C756D6E4865616465724B65795D3B0D0A202020202020202020202020202020207D0D0A0D0A202020202020202020202020202020206966202863';
wwv_flow_imp.g_varchar2_table(109) := '757272656E74436F6C756D6E496E526F77203D3D203029207B0D0A202020202020202020202020202020202020202063656C6C2E636C6173734C6973742E6164642822636F6C2D666978656422293B0D0A202020202020202020202020202020207D0D0A';
wwv_flow_imp.g_varchar2_table(110) := '0D0A2020202020202020202020202020202063757272656E74436F6C756D6E496E526F772B2B3B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A202020207D0D0A7D0D0A0D0A0D0A66756E6374696F6E206C6F616428290D0A0D0A';
wwv_flow_imp.g_varchar2_table(111) := '207B0D0A20202020636F6E736F6C652E6C6F6728272D73746172742D27293B0D0A0D0A202020202F2F20646566696E65207461626C6520636F6E7461696E6572202E2E2E0D0A20202020766172206774635F636F6E7461696E6572203D20646F63756D65';
wwv_flow_imp.g_varchar2_table(112) := '6E742E676574456C656D656E744279496428226774635F636F6E7461696E657222293B0D0A0D0A202020202F2F207265616420646174610D0A202020207661722064617461203D204A534F4E2E7061727365286774635F636F6E7461696E65722E676574';
wwv_flow_imp.g_varchar2_table(113) := '4174747269627574652827646174612729293B0D0A0D0A20202020766172206774635F6F7074696F6E73203D204A534F4E2E7061727365286774635F636F6E7461696E65722E67657441747472696275746528226F7074696F6E2D646174612229293B0D';
wwv_flow_imp.g_varchar2_table(114) := '0A0D0A202020202F2F207265616420706172616D65746572730D0A20202020766172207461626C654F7074696F6E73203D207B0D0A20202020202020206774635F7461626C655F737465703A20312C202F2F20636F6D6D656E74203A206F6E6520666F72';
wwv_flow_imp.g_varchar2_table(115) := '206F6E6520646179200D0A20202020202020206774635F7461626C655F756E69743A2031303030202A203630202A203630202A2032342C202F2F20636F6D6D656E74203A206F6E652064617920617320756E69740D0A20202020202020206774635F6865';
wwv_flow_imp.g_varchar2_table(116) := '616465725F737472696E673A202263742D48222C202F2F2075736564200D0A202020202020200D0A20202020202020206774635F646174655F636F6C756D6E5F6E616D653A206774635F6F7074696F6E732E646174655F636F6C756D6E2C0D0A20202020';
wwv_flow_imp.g_varchar2_table(117) := '202020206774635F6C6566745F636F6C756D6E735F6E616D65733A206774635F6F7074696F6E732E6C6566745F636F6C756D6E732E73706C697428272C27292C0D0A20202020202020206774635F6865616465725F646174655F666F726D61743A206774';
wwv_flow_imp.g_varchar2_table(118) := '635F6F7074696F6E732E646174655F666F726D61742C0D0A20202020202020200D0A20202020202020206774635F6174747230315F636F6C756D6E203A206774635F6F7074696F6E732E6774635F6174747230315F636F6C756D6E2C0D0A202020202020';
wwv_flow_imp.g_varchar2_table(119) := '20206774635F6174747230325F636F6C756D6E203A206774635F6F7074696F6E732E6774635F6174747230325F636F6C756D6E2C0D0A20202020202020206774635F6174747230335F636F6C756D6E203A206774635F6F7074696F6E732E6774635F6174';
wwv_flow_imp.g_varchar2_table(120) := '747230335F636F6C756D6E2C0D0A20202020202020206774635F6174747230345F636F6C756D6E203A206774635F6F7074696F6E732E6774635F6174747230345F636F6C756D6E2C0D0A20202020202020206774635F6174747230355F636F6C756D6E20';
wwv_flow_imp.g_varchar2_table(121) := '3A206774635F6F7074696F6E732E6774635F6174747230355F636F6C756D6E0D0A0D0A0D0A202020207D3B0D0A0D0A0D0A202020202F2F2070726570617265206461746120746F2066697420696E207461626C650D0A20202020766172207B2064617461';
wwv_flow_imp.g_varchar2_table(122) := '446973706C61792C2064617461486561646572207D203D207265666F726D61744461746128646174612C207461626C654F7074696F6E73293B0D0A0D0A0D0A0D0A0D0A202020202F2F20706F70756C617465207265666F726D6174656420646174612069';
wwv_flow_imp.g_varchar2_table(123) := '6E746F2068746D6C20636F6E7461696E65720D0A202020207B0D0A202020202020202076617220677463426164676548746D6C54656D706C617465203D20646F63756D656E742E676574456C656D656E7442794964282267616E74746162695F62616467';
wwv_flow_imp.g_varchar2_table(124) := '655F74656D706C61746522293B202F2F544F444F203A20746869732077696C6C2070726576656E742074776F20696E2073616D6520706167650D0A2020202020202020766172206774635461626C6548746D6C54656D706C617465203D20646F63756D65';
wwv_flow_imp.g_varchar2_table(125) := '6E742E676574456C656D656E7442794964282267616E74746162695F7461626C655F74656D706C61746522293B0D0A0D0A20202020202020206774635F636F6E7461696E65722E696E6E657248544D4C203D206774635461626C6548746D6C54656D706C';
wwv_flow_imp.g_varchar2_table(126) := '6174652E696E6E657248544D4C3B0D0A2020202020202020647261777468656164286774635F636F6E7461696E65722C2064617461446973706C61792C20646174614865616465722C207461626C654F7074696F6E732E6774635F6865616465725F6461';
wwv_flow_imp.g_varchar2_table(127) := '74655F666F726D6174293B0D0A20202020202020206472617774626F6479286774635F636F6E7461696E65722C2064617461446973706C61792C207461626C654F7074696F6E732E6774635F6865616465725F737472696E672C20677463426164676548';
wwv_flow_imp.g_varchar2_table(128) := '746D6C54656D706C6174652E696E6E657248544D4C293B0D0A0D0A20202020202020202F2F2052656D6F7665207468652074656D706C6174657320626C6F636B732066726F6D2074686520646F63756D656E740D0A202020202020202067746342616467';
wwv_flow_imp.g_varchar2_table(129) := '6548746D6C54656D706C6174652E72656D6F766528293B0D0A20202020202020206774635461626C6548746D6C54656D706C6174652E72656D6F766528293B0D0A202020207D0D0A20202020636F6E736F6C652E6C6F6728272D656E642D27293B0D0A0D';
wwv_flow_imp.g_varchar2_table(130) := '0A0D0A0D0A0D0A7D0D0A0D0A6C6F616428293B0D0A0D0A0D0A0D0A0D0A';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(8695981938412333)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_file_name=>'gttc.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '66756E6374696F6E207265706C616365506C616365686F6C6465727328742C652C613D222322297B636F6E7374206E3D612E7265706C616365282F5B2D5C2F5C5C5E242A2B3F2E28297C5B5C5D7B7D5D2F672C225C5C242622292C723D6E657720526567';
wwv_flow_imp.g_varchar2_table(2) := '4578702860247B6E7D285B5E247B6E7D5D2B29247B6E7D602C226722293B72657475726E20742E7265706C61636528722C2828742C61293D3E652E6861734F776E50726F70657274792861293F655B615D3A222229297D66756E6374696F6E2063616C63';
wwv_flow_imp.g_varchar2_table(3) := '756C6174654D696E4D61784461746528742C65297B6C657420613D6E6577204461746528745B305D5B655D292C6E3D6E6577204461746528745B305D5B655D293B666F72286C657420723D313B723C742E6C656E6774683B722B2B297B636F6E73742063';
wwv_flow_imp.g_varchar2_table(4) := '3D6E6577204461746528745B725D5B655D293B633E61262628613D63292C633C6E2626286E3D63297D72657475726E7B6D6178446174653A612C6D696E446174653A6E7D7D66756E6374696F6E206C656674506164576974685A65726F7328742C65297B';
wwv_flow_imp.g_varchar2_table(5) := '76617220613D742E746F537472696E6728292C6E3D652D612E6C656E6774683B72657475726E2230222E726570656174286E292B617D66756E6374696F6E20666F726D61744461746528742C65297B636F6E737420613D6E657720446174652874292C6E';
wwv_flow_imp.g_varchar2_table(6) := '3D7B44443A537472696E6728612E676574446174652829292E706164537461727428322C223022292C4D4D3A537472696E6728612E6765744D6F6E746828292B31292E706164537461727428322C223022292C595959593A612E67657446756C6C596561';
wwv_flow_imp.g_varchar2_table(7) := '7228292C4D4F4E3A28723D612E6765744D6F6E746828292C5B224A616E222C22466562222C224D6172222C22417072222C224D6179222C224A756E222C224A756C222C22417567222C22536570222C224F6374222C224E6F76222C22446563225D5B725D';
wwv_flow_imp.g_varchar2_table(8) := '292C48483A537472696E6728612E676574486F7572732829292E706164537461727428322C223022297D3B76617220723B72657475726E20652E7265706C616365282F44447C4D4D7C595959597C4D4F4E7C48482F672C28743D3E6E5B745D29297D6675';
wwv_flow_imp.g_varchar2_table(9) := '6E6374696F6E206B696E644F6667726F75704279436F6C756D6E28742C65297B66756E6374696F6E206128742C652C612C6E297B76617220723B766F69642030213D3D745B6E5D262628655B615D5B6E5D3F226F626A656374223D3D747970656F662872';
wwv_flow_imp.g_varchar2_table(10) := '3D745B6E5D292626766F69642030213D3D722E76616C75652626766F69642030213D3D655B615D5B6E5D2E76616C7565262628655B615D5B6E5D2E76616C75652B3D745B6E5D2E76616C7565293A655B615D5B6E5D3D745B6E5D297D766172206E3D5B5D';
wwv_flow_imp.g_varchar2_table(11) := '2C723D7B7D3B666F7228766172206320696E20742E666F7245616368282866756E6374696F6E2874297B766172206E3D652E6D61702828653D3E745B655D29292E6A6F696E28225F22293B666F7228766172206320696E20725B6E5D7C7C28725B6E5D3D';
wwv_flow_imp.g_varchar2_table(12) := '7B7D2C652E666F72456163682828653D3E7B725B6E5D5B655D3D745B655D7D2929292C7429652E696E636C756465732863297C7C6128742C722C6E2C63297D29292C72296E2E7075736828725B635D293B72657475726E206E7D66756E6374696F6E2067';
wwv_flow_imp.g_varchar2_table(13) := '6574496E64657842794B657928742C652C61297B666F72286C6574206E3D303B6E3C742E6C656E6774683B6E2B2B29696628745B6E5D5B655D3D3D3D612972657475726E206E3B72657475726E2D317D66756E6374696F6E206765744D61784461746546';
wwv_flow_imp.g_varchar2_table(14) := '6F7254616728742C65297B636F6E737420613D742E66696C7465722828743D3E742E6865616465725F7461673D3D3D6529293B696628303D3D3D612E6C656E6774682972657475726E206E756C6C3B72657475726E20612E726564756365282828742C65';
wwv_flow_imp.g_varchar2_table(15) := '293D3E652E6865616465725F646174655F6D61783E743F652E6865616465725F646174655F6D61783A74292C615B305D2E6865616465725F646174655F6D6178297D66756E6374696F6E207265666F726D61744461746128742C65297B6C65747B6D6178';
wwv_flow_imp.g_varchar2_table(16) := '446174653A612C6D696E446174653A6E7D3D63616C63756C6174654D696E4D61784461746528742C652E6774635F646174655F636F6C756D6E5F6E616D65292C723D4D6174682E6365696C2828612D6E292F28652E6774635F7461626C655F737465702A';
wwv_flow_imp.g_varchar2_table(17) := '652E6774635F7461626C655F756E697429292C633D5B5D2C6F3D5B5D3B666F7228766172205F3D303B5F3C723B5F2B2B297B6C657420743D6E65772044617465286E2E67657454696D6528292B285F2B31292A652E6774635F7461626C655F737465702A';
wwv_flow_imp.g_varchar2_table(18) := '652E6774635F7461626C655F756E6974292C613D6E65772044617465286E2E67657454696D6528292B5F2A652E6774635F7461626C655F737465702A652E6774635F7461626C655F756E6974293B766172206C3D7B6865616465725F7461673A652E6774';
wwv_flow_imp.g_varchar2_table(19) := '635F6865616465725F737472696E672B5F2E746F537472696E6728292E706164537461727428332C223022292C6865616465725F646174655F6D696E3A612C6865616465725F646174655F6D61783A747D3B6F2E70757368286C297D636F6E737420643D';
wwv_flow_imp.g_varchar2_table(20) := '652E6774635F6C6566745F636F6C756D6E735F6E616D65733B633D742E6D61702828743D3E7B636F6E737420653D7B7D3B72657475726E20642E666F72456163682828613D3E7B655B615D3D745B615D7D29292C657D29293B666F722876617220673D30';
wwv_flow_imp.g_varchar2_table(21) := '3B673C742E6C656E6774683B672B2B29666F72285F3D303B5F3C723B5F2B2B297B6C657420613D652E6774635F6865616465725F737472696E672B5F2E746F537472696E6728292E706164537461727428332C223022293B636F6E7374206E3D6E657720';
wwv_flow_imp.g_varchar2_table(22) := '4461746528745B675D5B652E6774635F646174655F636F6C756D6E5F6E616D655D293B6E65772044617465286F5B5F5D2E6865616465725F646174655F6D696E293C3D6E26266E3C6E65772044617465286F5B5F5D2E6865616465725F646174655F6D61';
wwv_flow_imp.g_varchar2_table(23) := '78293F635B675D5B615D3D7B6774635F6174747230313A745B675D5B652E6774635F6174747230315F636F6C756D6E5D2C6774635F6174747230323A745B675D5B652E6774635F6174747230325F636F6C756D6E5D2C6774635F6174747230333A745B67';
wwv_flow_imp.g_varchar2_table(24) := '5D5B652E6774635F6174747230335F636F6C756D6E5D2C6774635F6174747230343A745B675D5B652E6774635F6174747230345F636F6C756D6E5D2C6774635F6174747230353A745B675D5B652E6774635F6174747230355F636F6C756D6E5D7D3A635B';
wwv_flow_imp.g_varchar2_table(25) := '675D5B615D3D22227D72657475726E20633D6B696E644F6667726F75704279436F6C756D6E28632C652E6774635F6C6566745F636F6C756D6E735F6E616D6573292C7B64617461446973706C61793A632C646174614865616465723A6F7D7D66756E6374';
wwv_flow_imp.g_varchar2_table(26) := '696F6E2064726177746865616428742C652C612C6E297B636F6E737420723D742E717565727953656C6563746F722822746865616422292E696E73657274526F7728293B76617220633D303B666F7228636F6E7374207420696E20655B305D2969662865';
wwv_flow_imp.g_varchar2_table(27) := '5B305D2E6861734F776E50726F7065727479287429297B636F6E737420653D646F63756D656E742E637265617465456C656D656E742822746822293B652E636C6173734C6973742E6164642822742D5265706F72742D636F6C4865616422292C652E7365';
wwv_flow_imp.g_varchar2_table(28) := '7441747472696275746528226964222C74293B636F6E7374206F3D646F63756D656E742E637265617465456C656D656E74282264697622293B6966286F2E7365744174747269627574652822616C69676E222C2263656E74657222292C676574496E6465';
wwv_flow_imp.g_varchar2_table(29) := '7842794B657928612C226865616465725F746167222C74293E3D30297B636F6E737420653D646F63756D656E742E637265617465456C656D656E74282264697622293B652E74657874436F6E74656E743D666F726D617444617465286765744D61784461';
wwv_flow_imp.g_varchar2_table(30) := '7465466F7254616728612C74292C6E292C6F2E617070656E644368696C642865297D656C7365206F2E74657874436F6E74656E743D743B652E617070656E644368696C64286F292C303D3D632626652E636C6173734C6973742E6164642822636F6C2D66';
wwv_flow_imp.g_varchar2_table(31) := '6978656422292C632B2B2C722E617070656E644368696C642865297D72657475726E20637D66756E6374696F6E206472617774626F647928742C652C612C6E297B636F6E737420723D742E717565727953656C6563746F72282274626F647922293B666F';
wwv_flow_imp.g_varchar2_table(32) := '7228636F6E73742074206F662065297B636F6E737420653D722E696E73657274526F7728293B6C657420633D303B666F7228636F6E7374207220696E207429696628742E6861734F776E50726F7065727479287229297B636F6E7374206F3D652E696E73';
wwv_flow_imp.g_varchar2_table(33) := '65727443656C6C28293B6966286F2E636C6173734C6973742E6164642822742D5265706F72742D63656C6C22292C6F2E736574417474726962757465282268656164657273222C72292C6E65772052656745787028612B225C5C642B22292E7465737428';
wwv_flow_imp.g_varchar2_table(34) := '72292626745B725D297B636F6E737420653D7B4754435F4154545230315F56414C55453A745B725D2E6774635F6174747230313F3F22222C4754435F4154545230325F56414C55453A745B725D2E6774635F6174747230323F3F22222C4754435F415454';
wwv_flow_imp.g_varchar2_table(35) := '5230335F56414C55453A745B725D2E6774635F6174747230333F3F22222C4754435F4154545230345F56414C55453A745B725D2E6774635F6174747230343F3F22222C4754435F4154545230355F56414C55453A745B725D2E6774635F6174747230353F';
wwv_flow_imp.g_varchar2_table(36) := '3F22227D3B6F2E696E6E657248544D4C3D7265706C616365506C616365686F6C64657273286E2C652C222A22297D656C7365206F2E74657874436F6E74656E743D745B725D3B303D3D6326266F2E636C6173734C6973742E6164642822636F6C2D666978';
wwv_flow_imp.g_varchar2_table(37) := '656422292C632B2B7D7D7D66756E6374696F6E206C6F616428297B636F6E736F6C652E6C6F6728222D73746172742D22293B76617220743D646F63756D656E742E676574456C656D656E744279496428226774635F636F6E7461696E657222292C653D4A';
wwv_flow_imp.g_varchar2_table(38) := '534F4E2E706172736528742E6765744174747269627574652822646174612229292C613D4A534F4E2E706172736528742E67657441747472696275746528226F7074696F6E2D646174612229292C6E3D7B6774635F7461626C655F737465703A312C6774';
wwv_flow_imp.g_varchar2_table(39) := '635F7461626C655F756E69743A38363465352C6774635F6865616465725F737472696E673A2263742D48222C6774635F646174655F636F6C756D6E5F6E616D653A612E646174655F636F6C756D6E2C6774635F6C6566745F636F6C756D6E735F6E616D65';
wwv_flow_imp.g_varchar2_table(40) := '733A612E6C6566745F636F6C756D6E732E73706C697428222C22292C6774635F6865616465725F646174655F666F726D61743A612E646174655F666F726D61742C6774635F6174747230315F636F6C756D6E3A612E6774635F6174747230315F636F6C75';
wwv_flow_imp.g_varchar2_table(41) := '6D6E2C6774635F6174747230325F636F6C756D6E3A612E6774635F6174747230325F636F6C756D6E2C6774635F6174747230335F636F6C756D6E3A612E6774635F6174747230335F636F6C756D6E2C6774635F6174747230345F636F6C756D6E3A612E67';
wwv_flow_imp.g_varchar2_table(42) := '74635F6174747230345F636F6C756D6E2C6774635F6174747230355F636F6C756D6E3A612E6774635F6174747230355F636F6C756D6E7D2C7B64617461446973706C61793A722C646174614865616465723A637D3D7265666F726D61744461746128652C';
wwv_flow_imp.g_varchar2_table(43) := '6E292C6F3D646F63756D656E742E676574456C656D656E7442794964282267616E74746162695F62616467655F74656D706C61746522292C5F3D646F63756D656E742E676574456C656D656E7442794964282267616E74746162695F7461626C655F7465';
wwv_flow_imp.g_varchar2_table(44) := '6D706C61746522293B742E696E6E657248544D4C3D5F2E696E6E657248544D4C2C64726177746865616428742C722C632C6E2E6774635F6865616465725F646174655F666F726D6174292C6472617774626F647928742C722C6E2E6774635F6865616465';
wwv_flow_imp.g_varchar2_table(45) := '725F737472696E672C6F2E696E6E657248544D4C292C6F2E72656D6F766528292C5F2E72656D6F766528292C636F6E736F6C652E6C6F6728222D656E642D22297D6C6F616428293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(8723806761539593)
,p_plugin_id=>wwv_flow_imp.id(8689217278361595)
,p_file_name=>'gttc.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
